quick start ubuntu

Hello everyone I would like to know how i can install myrobotlab on ubuntu

MaVo's picture

Welcome ABrobot, where do you

Welcome ABrobot,

where do you have problems?

Install Java

Download the latest release here -> https://github.com/MyRobotLab/myrobotlab/releases

Start it (command line: "cd" to it, then "java -jar "myrobotlab.jar")

Runtime -> System -> Install all

The more you tell us, the more we can help.

ABrobot's picture

i have tried but the trminal

i have tried but the trminal say this...

andrea@andrea:~/Scaricati$ java -version
java version "1.6.0_32"
OpenJDK Runtime Environment (IcedTea6 1.13.4) (6b32-1.13.4-4ubuntu0.12.04.2)
OpenJDK Client VM (build 23.25-b01, mixed mode, sharing)
andrea@andrea:~/Scaricati$ java -jar "myrobotlab.jar"
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/myrobotlab/framework/Bootstrap : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:643)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
Could not find the main class: org.myrobotlab.framework.Bootstrap. Program will exit.
andrea@andrea:~/Scaricati$

 

MaVo's picture

Um, you Need at least Java

Um, you Need at least Java 7

I think you can do an Update grm the command line (don't ask me how, I'm not enaugh Linux-guy for that)

you can try openjdk (what you're Running on), but when this doesn't work, you should de-install all java related stuff, and install oracles Java

Good luck

beetlejuice's picture

Hi, Under ubuntu, MRL work

Hi,

Under ubuntu, MRL work well with OpenJDK7 .

Use the synaptic package installer to install OpenJRE7 And for remove old OpenJDK version .

To check your java version, in the terminal, enter " java --version "

ABrobot's picture

thanks

thanks for the help, now go very well